%define anolis_release 2
Summary: X Damage extension library
Name: libXdamage
Version: 1.1.6
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: pkgconfig(damageproto) >= 1.1
BuildRequires: pkgconfig(fixesproto)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xproto) >= 7.0.22

%description
X.Org X11 libXdamage runtime library.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXdamage development package.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

%files
%license COPYING
%{_libdir}/libXdamage.so.1
%{_libdir}/libXdamage.so.1.1.0

%files doc
%doc AUTHORS README.md ChangeLog 

%files devel
%{_includedir}/X11/extensions/Xdamage.h
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/xdamage.pc

%changelog
* Wed May 21 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 1.1.6-2
- Rebuild for remove inappropriate build dependencies.

* Mon Dec 12 2022 Funda Wang <fundawang@yeah.net> - 1.1.6-1
- New version 1.1.6

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.5-2
- add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.5-1
- Init from upstream version 1.1.5

